EMF::GRAPHICSOBJECT Class Referenceabstract

A global graphics object. More...

`#include <libemf.h>`

Inheritance diagram for EMF::GRAPHICSOBJECT:

## Public Member Functions

virtual | ~GRAPHICSOBJECT ()
| GRAPHICSOBJECTs has a virtual destructor.
virtual METARECORD * | newEMR (HDC dc, HGDIOBJ handle)=0
Public Member Functions inherited from EMF::OBJECT
virtual | ~OBJECT ()
| OBJECTs have a virtual destructor.
| OBJECT (void)
virtual OBJECTTYPE | getType (void) const =0

## Data Fields

std::map< HDC, HGDIOBJ > | contexts
Data Fields inherited from EMF::OBJECT
HGDIOBJ | handle

## Detailed Description

A global graphics object.

Graphics objects have some additional properties: When an object is Select'ed into a device context, the handle for that context is added to the list of context's in which this object is used.

## Member Function Documentation

## newEMR()

virtual METARECORD* EMF::GRAPHICSOBJECT::newEMR | ( | HDC | dc,
|  | HGDIOBJ | handle
| ) |  |

pure virtual

Create a new metarecord which describes this object.

Parameters

  dc | the handle to the device context.
  handle | (appears not to used. Note the handle is really assigned at serialization time.)

Implemented in EMF::PALETTE, EMF::FONT, EMF::BRUSH, EMF::EXTPEN, and EMF::PEN.

Referenced by EMF::EMRCREATEPALETTE::execute().

## Field Documentation

## contexts

std::map< HDC, HGDIOBJ > EMF::GRAPHICSOBJECT::contexts

A set of all the contexts into which this object has been selected and the associated metafile handle for the object.

Referenced by EMF::EMRCREATEPALETTE::execute().

The documentation for this class was generated from the following file:

- libemf.h